/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLModElement_H___INT_
#define __GdomHTMLModElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLModElement.h"
G_BEGIN_DECLS
class GDOMHTMLModElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_MOD_ELEMENT; }
    GDOMHTMLModElement(PassRefPtr<WebCore::HTMLModElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLModElement_H___INT_*/
